module Trader
  class GameBackend
    module Configuration
      extend self

      attr_accessor :db_file
      attr_reader :markets

      def setup_market(_base, _quote, _options = {})
        @markets ||= []
        @markets << CurrencyPair.for_code(_base, _quote)
      end
    end
  end
end