require 'pincers'

module Trader
  class WebConverter < SyncConverter
    attr_reader :url, :path

    def initialize(_url, _path, _ttl=30)
      @url = _url
      @path = _path

      super(_ttl) do
        pincers = Pincers.for_chenso
        pincers.goto _url
        el = pincers.search(_path).first
        raise "No element found at #{_path}" if el.nil?
        Standard.amount el.text.gsub(/[^\d\s\.\,]+/,'').strip
      end
    end
  end
end